<template>
  <div>
    <el-card>
      <shelves-dia :qu1='qu1' :qu2='qu2' :lie1='lie1' :lie2='lie2' :mian1='mian1' :mian2='mian2' :mian3='mian3'
        :fondsList="fondsList" :mian4='mian4' :jie1='jie1' :jie2='jie2' :ceng1='ceng1' :ceng2='ceng2' :dangan='dangan' :storeHomes='storeHomes'
        :firstList='firstList' :secondList='secondList' :thirdList='thirdList' :fourthList='fourthList'
        :fifthList='fifthList' :sixthList='sixthList' :addressObj='addressObj' @roomClick='roomClick'
        @changeQu='changeQu' @changeLie='changeLie' @changeMian='changeMian' @changeJie='changeJie'
        @changeCeng='changeCeng' :store='store' />
    </el-card>
  </div>
</template>
<script>
  import {
    mixin
  } from "@/mixins/imgSave";
  import {
    getFondWithPage
  } from "@/api/system-management/allAdministration";
  import shelvesDia from "../warehouse-management/file-onShelves/components/shelvesDia.vue"
  export default {
    mixins: [mixin],
    data() {
      return {
        fondsList: [],
        store: false
      }
    },
    components: {
      shelvesDia
    },
    methods: {
      getFonds() {
        getFondWithPage({
          limit: 1000
        }).then(res => {
          this.fondsList = res.body.list;
        });
      },
    },
    created() {
      this.getFonds()
      this.ShelvesClick()
    },
    beforeDestroy() {
      this.sixthList = []
    }
  }

</script>
